Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationRMI

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationRMI

extends java.rmi.Remote

This interface define methods to get server rmi setting.

Method Summary
`java.lang.String` | `getServerRMIHost()` Return server rmi host.
`java.lang.String` | `getServerRMIPort()` Return server rmi port.
`void` | `setServerRMIHost(java.lang.String serverRMIHost)` Set server rmi host
`void` | `setServerRMIPort(java.lang.String serverRMIPort)` Set server rmi port.

Method Detail

### getServerRMIHost

    java.lang.String getServerRMIHost()
                                      throws java.rmi.RemoteException

  Return server rmi host.

  Returns:
    string server RMI host.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setServerRMIHost

    void setServerRMIHost(java.lang.String serverRMIHost)
                          throws java.rmi.RemoteException

  Set server rmi host

  Parameters:
    `serverRMIPort` - server rmi host address.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getServerRMIPort

    java.lang.String getServerRMIPort()
                                      throws java.rmi.RemoteException

  Return server rmi port.

  Returns:
    string server rmi port.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setServerRMIPort

    void setServerRMIPort(java.lang.String serverRMIPort)
                          throws java.rmi.RemoteException

  Set server rmi port.

  Parameters:
    `serverRMIPort` - server rmi port.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD